#!/bin/sh
#export LC_ALL="de_DE.UTF-8"
#export LANG="de_DE.UTF-8"
#export LANG="en_US.UTF-8"
export EDITOR="nano"
export GUI_EDITOR="featherpad"
export TERMINAL="rxvt-unicode"
export TERM="rxvt-unicode"
export PAGER="less"
export BROWSER="$HOME/.local/Scripts/launch-qutebrowser.sh"
export FILEMANAGER="pcmanfm"
#export BROWSER="~/.local/Scripts/palemoon.sh"
#export BROWSER="rxvt-unicode -e links2"
#export MYVIMRC="$HOME/.config/vim/vimrc"
#export IPELATEXDIR="~/.config/ipe"
#export RANGER_LOAD_DEFAULT_RC="FALSE"
export NNN_SHOW_HIDDEN=1
export XDG_RUNTIME_DIR="$HOME/.local/XDG_RUNTIME_DIR"
export SCRIPT_DIR="$HOME/.local/Scripts"

# Enable Login Sound
LOGIN_SND="1"

# Load Xresources
xrdb -merge "$HOME/.Xresources"

# Load correct Cursor
xsetroot -cursor_name left_ptr

# Load the correct keyboard configuration from /etc/default/keyboard
KBD_MODEL="$(grep XKBMODEL /etc/default/keyboard | cut -d\" -f 2)"
KBD_LAYOUT="$(grep XKBLAYOUT /etc/default/keyboard | cut -d\" -f 2)"
KBD_VARIANT="$(grep XKBVARIANT /etc/default/keyboard | cut -d\" -f 2)"
KBD_OPTIONS="$(grep XKBOPTIONS /etc/default/keyboard | cut -d\" -f 2)"
[ "$KBD_MODEL" ] && KBD_MODEL="-model $KBD_MODEL"
[ "$KBD_LAYOUT" ] && KBD_LAYOUT="-layout $KBD_LAYOUT"
[ "$KBD_VARIANT" ] && KBD_VARIANT="-variant $KBD_VARIANT"
if [ "$KBD_OPTIONS" ]; then
  if [ -z "$(echo "$KBD_OPTIONS" | grep ",")" ]; then
    KBD_OPTIONS="-option $KBD_OPTIONS"
  else
    KBD_OPTIONS="$(echo "$KBD_OPTIONS" | sed 's/^/-option /;s/,/ -option /g')"
  fi
fi
[ "$KBD_MODEL" ] && [ "$KBD_LAYOUT" ] && setxkbmap ${KBD_MODEL} ${KBD_LAYOUT} ${KBD_VRIANT} ${KBD_OPTIONS}

# Turn off the bell sound
xset b off

# Turn off screen saver
xset s off
xset s noblank
xset dpms 0 0 0

# Prevent ~/Desktop from being created
xdg-user-dirs-update --set DESKTOP ~

# Set Window Manager to i3 if none other is selected
#[ -z "$WM" ] && export WM="i3"

[ "$LOGIN_SND" = "1" ] && /usr/local/bin/snd.sh --login &

# StartX
case "$WM" in
 i3) exec i3 -c $HOME/.config/i3/config;;
 jwm) exec jwm -f $HOME/.config/jwm/jwmrc;;
 bspwm) exec bspwm -c $HOME/.config/bspwm/bspwmrc;;
 spectrwm) exec spectrwm -c $HOME/.config/spectrwm/spectrwm.conf;;
 icewm)	exec icewm;;
 openbox) exec /usr/bin/openbox-session;;
 exwm) exec emacs -mm --load ~/.emacs.d/init.el --load ~/.emacs.d/desktop.el;;
esac

exit 0
